Webhooks

Update a webhook endpoint

Changes the URL, events or description, or pauses deliveries.

PATCH
/v1/webhooks/{id}

Changes the URL, events or description, or pauses deliveries.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Path Parameters

id*string

Request Body

application/json
  1. body
url?string

HTTPS URL that receives events.

Formaturi
Lengthlength <= 2048
events?array<>

Events to subscribe to.

Items1 <= items
description?string

A note to help you recognise this endpoint.

Lengthlength <= 200
enabled?boolean

Pause or resume deliveries to this endpoint.

Response Body

The updated endpoint.

application/json
Example Request
curl -X PATCH 'https://api.appstractone.com/v1/webhooks/string' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "id": "whe_01M6MJSC366MMHPMM73ABCM5JA",
  "url": "https://example.com/webhooks/appstract",
  "events": [
    "message.delivered",
    "message.failed"
  ],
  "description": "Order notifications",
  "enabled": false,
  "createdAt": "2026-11-05T00:47:20.681Z",
  "updatedAt": "2026-11-05T00:47:20.714Z"
}